IBM DB2 10.5 < Fix Pack 3a Multiple Vulnerabilities

High Nessus Plugin ID 76111

Synopsis

The remote database server is affected by multiple vulnerabilities.

Description

According to its version, the installation of IBM DB2 10.5 running on the remote host is prior to Fix Pack 3a. It is, therefore, affected by one or more of the following vulnerabilities :

- An unspecified error exists related to handling malformed certificate chains that could allow denial of service attacks. (CVE-2013-6747)

- A build error exists related to libraries in insecure locations that could allow a local user to carry out privilege escalation attacks. Note this issue does not affect the application when running on Microsoft Windows operating systems. (CVE-2014-0907)

- An unspecified error exists related to the TLS implementation that could allow certain error cases to cause 100% CPU utilization. (CVE-2014-0963)

Solution

Apply IBM DB2 version 10.5 Fix Pack 3a or later.

Alternatively, in the case of DB2 Version 10.5 Fix Pack 2, contact the vendor to obtain a special build with the interim fix.

Note that the vendor has posted a workaround for the build error issue (CVE-2014-0907) involving the command 'sqllib/bin/db2chglibpath'.
Please consult the advisory for detailed instructions.

See Also

http://www-01.ibm.com/support/docview.wss?uid=swg21672100

http://www-01.ibm.com/support/docview.wss?uid=swg21671732

https://www-01.ibm.com/support/docview.wss?uid=swg21647054

http://www-01.ibm.com/support/docview.wss?uid=swg24037555

Plugin Details

Severity: High

ID: 76111

File Name: db2_105fp3a.nasl

Version: 1.7

Type: remote

Family: Databases

Published: 2014/06/18

Updated: 2018/11/15

Dependencies: 22016

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 7.1

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:ibm:db2

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/06/10

Vulnerability Publication Date: 2014/01/24

Reference Information

CVE: CVE-2013-6747, CVE-2014-0907, CVE-2014-0963

BID: 65156, 67238, 67617